<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Uses of Class org.apache.commons.configuration2.io.FileSystem (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.commons.configuration2.io.FileSystem (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../org/apache/commons/configuration2/io/FileSystem.html" title="class in org.apache.commons.configuration2.io">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/apache/commons/configuration2/io/class-use/FileSystem.html" target="_top">Frames</a></li>
<li><a href="FileSystem.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class org.apache.commons.configuration2.io.FileSystem" class="title">Uses of Class<br>org.apache.commons.configuration2.io.FileSystem</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../../org/apache/commons/configuration2/io/FileSystem.html" title="class in org.apache.commons.configuration2.io">FileSystem</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.commons.configuration2.builder">org.apache.commons.configuration2.builder</a></td>
<td class="colLast">
<div class="block">
 This package contains the implementations of <em>configuration builder</em>
 classes used to create new <code>Configuration</code> objects.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.commons.configuration2.builder.combined">org.apache.commons.configuration2.builder.combined</a></td>
<td class="colLast">
<div class="block">
 A package containing the implementation of the builder for combined
 configurations.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.commons.configuration2.io">org.apache.commons.configuration2.io</a></td>
<td class="colLast">
<div class="block">
 A package with classes related to I/O operations.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.commons.configuration2.resolver">org.apache.commons.configuration2.resolver</a></td>
<td class="colLast">
<div class="block">
 A package containing EntityResolvers.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="org.apache.commons.configuration2.builder">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../org/apache/commons/configuration2/io/FileSystem.html" title="class in org.apache.commons.configuration2.io">FileSystem</a> in <a href="../../../../../../org/apache/commons/configuration2/builder/package-summary.html">org.apache.commons.configuration2.builder</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/commons/configuration2/builder/package-summary.html">org.apache.commons.configuration2.builder</a> with parameters of type <a href="../../../../../../org/apache/commons/configuration2/io/FileSystem.html" title="class in org.apache.commons.configuration2.io">FileSystem</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html" title="type parameter in FileBasedBuilderProperties">T</a></code></td>
<td class="colLast"><span class="typeNameLabel">FileBasedBuilderProperties.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html#setFileSystem-org.apache.commons.configuration2.io.FileSystem-">setFileSystem</a></span>(<a href="../../../../../../org/apache/commons/configuration2/io/FileSystem.html" title="class in org.apache.commons.configuration2.io">FileSystem</a>&nbsp;fs)</code>
<div class="block">Sets the <code>FileSystem</code> of the associated <code>FileHandler</code>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">FileBasedBuilderParametersImpl</a></code></td>
<td class="colLast"><span class="typeNameLabel">FileBasedBuilderParametersImpl.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html#setFileSystem-org.apache.commons.configuration2.io.FileSystem-">setFileSystem</a></span>(<a href="../../../../../../org/apache/commons/configuration2/io/FileSystem.html" title="class in org.apache.commons.configuration2.io">FileSystem</a>&nbsp;fs)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.commons.configuration2.builder.combined">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../org/apache/commons/configuration2/io/FileSystem.html" title="class in org.apache.commons.configuration2.io">FileSystem</a> in <a href="../../../../../../org/apache/commons/configuration2/builder/combined/package-summary.html">org.apache.commons.configuration2.builder.combined</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/commons/configuration2/builder/combined/package-summary.html">org.apache.commons.configuration2.builder.combined</a> that return <a href="../../../../../../org/apache/commons/configuration2/io/FileSystem.html" title="class in org.apache.commons.configuration2.io">FileSystem</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../../org/apache/commons/configuration2/io/FileSystem.html" title="class in org.apache.commons.configuration2.io">FileSystem</a></code></td>
<td class="colLast"><span class="typeNameLabel">CombinedConfigurationBuilder.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html#initFileSystem-org.apache.commons.configuration2.HierarchicalConfiguration-">initFileSystem</a></span>(<a href="../../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;?&gt;&nbsp;config)</code>
<div class="block">Creates and initializes a default <code>FileSystem</code> if the definition
 configuration contains a corresponding declaration.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.commons.configuration2.io">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../org/apache/commons/configuration2/io/FileSystem.html" title="class in org.apache.commons.configuration2.io">FileSystem</a> in <a href="../../../../../../org/apache/commons/configuration2/io/package-summary.html">org.apache.commons.configuration2.io</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing subclasses, and an explanation">
<caption><span>Subclasses of <a href="../../../../../../org/apache/commons/configuration2/io/FileSystem.html" title="class in org.apache.commons.configuration2.io">FileSystem</a> in <a href="../../../../../../org/apache/commons/configuration2/io/package-summary.html">org.apache.commons.configuration2.io</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/io/DefaultFileSystem.html" title="class in org.apache.commons.configuration2.io">DefaultFileSystem</a></span></code>
<div class="block">FileSystem that uses java.io.File or HttpClient</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/io/VFSFileSystem.html" title="class in org.apache.commons.configuration2.io">VFSFileSystem</a></span></code>
<div class="block">FileSystem that uses Commons VFS</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../../../org/apache/commons/configuration2/io/package-summary.html">org.apache.commons.configuration2.io</a> declared as <a href="../../../../../../org/apache/commons/configuration2/io/FileSystem.html" title="class in org.apache.commons.configuration2.io">FileSystem</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../org/apache/commons/configuration2/io/FileSystem.html" title="class in org.apache.commons.configuration2.io">FileSystem</a></code></td>
<td class="colLast"><span class="typeNameLabel">FileLocatorUtils.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/io/FileLocatorUtils.html#DEFAULT_FILE_SYSTEM">DEFAULT_FILE_SYSTEM</a></span></code>
<div class="block">Constant for the default <code>FileSystem</code>.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/commons/configuration2/io/package-summary.html">org.apache.commons.configuration2.io</a> that return <a href="../../../../../../org/apache/commons/configuration2/io/FileSystem.html" title="class in org.apache.commons.configuration2.io">FileSystem</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/io/FileSystem.html" title="class in org.apache.commons.configuration2.io">FileSystem</a></code></td>
<td class="colLast"><span class="typeNameLabel">FileLocator.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/io/FileLocator.html#getFileSystem--">getFileSystem</a></span>()</code>
<div class="block">Returns the <code>FileSystem</code> to be used for accessing the file
 referenced by this locator or <b>null</b> if it is undefined.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/io/FileSystem.html" title="class in org.apache.commons.configuration2.io">FileSystem</a></code></td>
<td class="colLast"><span class="typeNameLabel">FileHandler.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/io/FileHandler.html#getFileSystem--">getFileSystem</a></span>()</code>
<div class="block">Returns the <code>FileSystem</code> to be used by this object when locating
 files.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/commons/configuration2/io/package-summary.html">org.apache.commons.configuration2.io</a> with parameters of type <a href="../../../../../../org/apache/commons/configuration2/io/FileSystem.html" title="class in org.apache.commons.configuration2.io">FileSystem</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/io/FileLocator.FileLocatorBuilder.html" title="class in org.apache.commons.configuration2.io">FileLocator.FileLocatorBuilder</a></code></td>
<td class="colLast"><span class="typeNameLabel">FileLocator.FileLocatorBuilder.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/io/FileLocator.FileLocatorBuilder.html#fileSystem-org.apache.commons.configuration2.io.FileSystem-">fileSystem</a></span>(<a href="../../../../../../org/apache/commons/configuration2/io/FileSystem.html" title="class in org.apache.commons.configuration2.io">FileSystem</a>&nbsp;fs)</code>
<div class="block">Specifies the <code>FileSystem</code> of the new <code>FileLocator</code>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a></code></td>
<td class="colLast"><span class="typeNameLabel">ProvidedURLLocationStrategy.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/io/ProvidedURLLocationStrategy.html#locate-org.apache.commons.configuration2.io.FileSystem-org.apache.commons.configuration2.io.FileLocator-">locate</a></span>(<a href="../../../../../../org/apache/commons/configuration2/io/FileSystem.html" title="class in org.apache.commons.configuration2.io">FileSystem</a>&nbsp;fileSystem,
      <a href="../../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a>&nbsp;locator)</code>
<div class="block">Tries to locate the specified file.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a></code></td>
<td class="colLast"><span class="typeNameLabel">HomeDirectoryLocationStrategy.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/io/HomeDirectoryLocationStrategy.html#locate-org.apache.commons.configuration2.io.FileSystem-org.apache.commons.configuration2.io.FileLocator-">locate</a></span>(<a href="../../../../../../org/apache/commons/configuration2/io/FileSystem.html" title="class in org.apache.commons.configuration2.io">FileSystem</a>&nbsp;fileSystem,
      <a href="../../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a>&nbsp;locator)</code>
<div class="block">Tries to locate the specified file.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a></code></td>
<td class="colLast"><span class="typeNameLabel">FileSystemLocationStrategy.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/io/FileSystemLocationStrategy.html#locate-org.apache.commons.configuration2.io.FileSystem-org.apache.commons.configuration2.io.FileLocator-">locate</a></span>(<a href="../../../../../../org/apache/commons/configuration2/io/FileSystem.html" title="class in org.apache.commons.configuration2.io">FileSystem</a>&nbsp;fileSystem,
      <a href="../../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a>&nbsp;locator)</code>
<div class="block">Tries to locate the specified file.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a></code></td>
<td class="colLast"><span class="typeNameLabel">FileLocationStrategy.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/io/FileLocationStrategy.html#locate-org.apache.commons.configuration2.io.FileSystem-org.apache.commons.configuration2.io.FileLocator-">locate</a></span>(<a href="../../../../../../org/apache/commons/configuration2/io/FileSystem.html" title="class in org.apache.commons.configuration2.io">FileSystem</a>&nbsp;fileSystem,
      <a href="../../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a>&nbsp;locator)</code>
<div class="block">Tries to locate the specified file.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a></code></td>
<td class="colLast"><span class="typeNameLabel">CombinedLocationStrategy.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/io/CombinedLocationStrategy.html#locate-org.apache.commons.configuration2.io.FileSystem-org.apache.commons.configuration2.io.FileLocator-">locate</a></span>(<a href="../../../../../../org/apache/commons/configuration2/io/FileSystem.html" title="class in org.apache.commons.configuration2.io">FileSystem</a>&nbsp;fileSystem,
      <a href="../../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a>&nbsp;locator)</code>
<div class="block">Tries to locate the specified file.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a></code></td>
<td class="colLast"><span class="typeNameLabel">ClasspathLocationStrategy.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/io/ClasspathLocationStrategy.html#locate-org.apache.commons.configuration2.io.FileSystem-org.apache.commons.configuration2.io.FileLocator-">locate</a></span>(<a href="../../../../../../org/apache/commons/configuration2/io/FileSystem.html" title="class in org.apache.commons.configuration2.io">FileSystem</a>&nbsp;fileSystem,
      <a href="../../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a>&nbsp;locator)</code>
<div class="block">Tries to locate the specified file.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a></code></td>
<td class="colLast"><span class="typeNameLabel">BasePathLocationStrategy.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/io/BasePathLocationStrategy.html#locate-org.apache.commons.configuration2.io.FileSystem-org.apache.commons.configuration2.io.FileLocator-">locate</a></span>(<a href="../../../../../../org/apache/commons/configuration2/io/FileSystem.html" title="class in org.apache.commons.configuration2.io">FileSystem</a>&nbsp;fileSystem,
      <a href="../../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a>&nbsp;locator)</code>
<div class="block">Tries to locate the specified file.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a></code></td>
<td class="colLast"><span class="typeNameLabel">AbsoluteNameLocationStrategy.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/io/AbsoluteNameLocationStrategy.html#locate-org.apache.commons.configuration2.io.FileSystem-org.apache.commons.configuration2.io.FileLocator-">locate</a></span>(<a href="../../../../../../org/apache/commons/configuration2/io/FileSystem.html" title="class in org.apache.commons.configuration2.io">FileSystem</a>&nbsp;fileSystem,
      <a href="../../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a>&nbsp;locator)</code>
<div class="block">Tries to locate the specified file.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">FileHandler.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/io/FileHandler.html#setFileSystem-org.apache.commons.configuration2.io.FileSystem-">setFileSystem</a></span>(<a href="../../../../../../org/apache/commons/configuration2/io/FileSystem.html" title="class in org.apache.commons.configuration2.io">FileSystem</a>&nbsp;fileSystem)</code>
<div class="block">Sets the <code>FileSystem</code> to be used by this object when locating
 files.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.commons.configuration2.resolver">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../org/apache/commons/configuration2/io/FileSystem.html" title="class in org.apache.commons.configuration2.io">FileSystem</a> in <a href="../../../../../../org/apache/commons/configuration2/resolver/package-summary.html">org.apache.commons.configuration2.resolver</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/commons/configuration2/resolver/package-summary.html">org.apache.commons.configuration2.resolver</a> that return <a href="../../../../../../org/apache/commons/configuration2/io/FileSystem.html" title="class in org.apache.commons.configuration2.io">FileSystem</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/io/FileSystem.html" title="class in org.apache.commons.configuration2.io">FileSystem</a></code></td>
<td class="colLast"><span class="typeNameLabel">CatalogResolver.CatalogManager.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/resolver/CatalogResolver.CatalogManager.html#getFileSystem--">getFileSystem</a></span>()</code>
<div class="block">Retrieve the FileSystem.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/commons/configuration2/resolver/package-summary.html">org.apache.commons.configuration2.resolver</a> with parameters of type <a href="../../../../../../org/apache/commons/configuration2/io/FileSystem.html" title="class in org.apache.commons.configuration2.io">FileSystem</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">CatalogResolver.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/resolver/CatalogResolver.html#setFileSystem-org.apache.commons.configuration2.io.FileSystem-">setFileSystem</a></span>(<a href="../../../../../../org/apache/commons/configuration2/io/FileSystem.html" title="class in org.apache.commons.configuration2.io">FileSystem</a>&nbsp;fileSystem)</code>
<div class="block">Set the FileSystem.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">CatalogResolver.CatalogManager.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/resolver/CatalogResolver.CatalogManager.html#setFileSystem-org.apache.commons.configuration2.io.FileSystem-">setFileSystem</a></span>(<a href="../../../../../../org/apache/commons/configuration2/io/FileSystem.html" title="class in org.apache.commons.configuration2.io">FileSystem</a>&nbsp;fileSystem)</code>
<div class="block">Set the FileSystem</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../org/apache/commons/configuration2/io/FileSystem.html" title="class in org.apache.commons.configuration2.io">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/apache/commons/configuration2/io/class-use/FileSystem.html" target="_top">Frames</a></li>
<li><a href="FileSystem.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
